Bug 1306686 - Installed Fedora OS on USB drive installed from live USB drive does not boot.
Installed Fedora OS on USB drive installed from live USB drive does not boot.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 10:14 EST by icbin2pasea
Modified: 2016-12-20 13:38 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:38:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The file that the console said to attach to a bug report. (108.59 KB, text/plain)
2016-02-11 10:14 EST, icbin2pasea
no flags Details

  None (edit)
Description icbin2pasea 2016-02-11 10:14:13 EST
Created attachment 1123179 [details]
The file that the console said to attach to a bug report.

Description of problem:

I am trying to install Fedora 23 on some USB drives.  If I dd the live image to a USB drive and use that USB drive to install on a different USB drive then the resulting installed USB drive will not boot.

If I take that same live image and burn it to a DVD and repeat the installation the result is that the USB drive boots.

The message on the console recommended to open a bug report with the attached file.  In that file the only line that seems to hint at the problem is:

[  192.569488] localhost.localdomain dracut-initqueue[371]: Warning: /dev/sdc5 does not exist

The device /dev/sdc5 does not exist.  During the install this USB was sdc, but now that the USB drive with the live OS has been removed I suspect it should be looking for sdb.


Version-Release number of selected component (if applicable):


How reproducible:

Every time.


Steps to Reproduce:
1.  dd live image to USB drive.
2.  Use this USB drive to install on another USB drive.
3.  Remove the live USB drive and boot the installed USB drive.

Actual results:

A message saying that the node could not boot and to open a bug report.

Expected results:

The node boots.


Additional info:
Comment 1 David Lehman 2016-02-11 11:12:18 EST
It looks to me like grub2-mkconfig is setting up the boot entry such that it passes root=/dev/sdc5. It would be really nice if there were some other way to specify block devices that isn't susceptible to this type of issue. Wait -- it's not 2002 anymore? (In all fairness, I'm not completely sure it's that simple. It does look that way, though.)
Comment 2 Fedora End Of Life 2016-11-24 10:30:35 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 13:38:10 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.